Skip to navigation

Get paid recommendation partner report OAuth Scope: posts:read

Currently in beta

This feature is currently in beta and the API is subject to change.

Report spend and subscribers gained for one of your publication’s paid recommendation partnerships over a date range. Counts follow the same rules as the list of reports.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
partnershipIdstringRequiredformat: "^(rec_agr_[0-9a-fA-F\-]+)$"
The prefixed ID of the partnership object

Query parameters

start_datedateRequired

The first day of the range in YYYY-MM-DD format.

end_datedateRequired

The last day of the range in YYYY-MM-DD format. Must be on or after start_date.

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error